summaryrefslogtreecommitdiffstats
path: root/core/modules/ntfsfree
diff options
context:
space:
mode:
Diffstat (limited to 'core/modules/ntfsfree')
-rwxr-xr-xcore/modules/ntfsfree/data/opt/openslx/scripts/thinpool-grow6
1 files changed, 4 insertions, 2 deletions
diff --git a/core/modules/ntfsfree/data/opt/openslx/scripts/thinpool-grow b/core/modules/ntfsfree/data/opt/openslx/scripts/thinpool-grow
index e735fa45..7ed678f7 100755
--- a/core/modules/ntfsfree/data/opt/openslx/scripts/thinpool-grow
+++ b/core/modules/ntfsfree/data/opt/openslx/scripts/thinpool-grow
@@ -119,7 +119,7 @@ exit_hook() {
[ -n "$HAVE_LOCK" ] && unlock
}
-trap exit_hook EXIT TERM INT
+trap exit_hook EXIT
# Try to grow via NTFS volume
# Must honor and update $current_data_sz, and echo into $new_table
@@ -335,7 +335,9 @@ elif [ "$MODE" = "wait" ]; then
else
(( next++ ))
fi
- dmsetup wait "$POOL" "$next" || break
+ dmsetup wait "$POOL" "$next" &>> "$DEBUG_FILE" \
+ || dmsetup wait "$POOL" "$next" &>> "$DEBUG_FILE" \
+ || break
done
debug "Error in dmsetup wait"
exit 1